local lg = assert( love.graphics )
local love = assert( love )
local scene = assert( require 'client.scene' )
local strings = strings or assert( require 'client.assets.strings.english' )
local button = assert( require 'client.ui.button' )
local menu = assert( require 'client.ui.menu' )

return menu.new(
  "options",  

  {

    button{
      x = 15, y = 115, w = 800, h = 30,
      text = strings.mainmenu_button,
      color = { 0.6, 0.6, 0.6, 0.8 },
      callback = function() return scene.mainmenu() end },

    button{
      option = 'name',
      text = strings.option_name,
      color = { 0.6, 0.6, 0.6, 0.8  },
      callback = menu.textOption },

    button{
      option = 'pronoun',
      text = strings.option_pron,
      color = { 0.6, 0.6, 0.6, 0.8  },
      callback = menu.textOption },

    button{
      option = 'colour',
      text = strings.option_tint,
      color = { 0.6, 0.6, 0.6, 0.8  },
      callback = menu.colourOption },


    button{
      option = 'keybinds',
      text = strings.option_keybinds,
      color = { 0.6, 0.6, 0.6, 0.8  },
      callback = menu.editKeybinds,
    }
  },

  lg.newMesh{
    {	0, 0,	0, 0,	0.4, 0.1, 0.05, 0.0 },
    {	1, 0, 1, 0,	0.8, 0.3, 0.1, 0.8 },
    {	1, 1,	1, 1,	0.7, 0.4, 0.1, 0.8 },
    {	0, 1,	0, 1,	0.4, 0.1, 0.03, 0.0 },
  },


  lg.newMesh{
    {	0, 0,	0, 0,	1, 1, 1, 0.01 },
    {	1, 0, 1, 0,	1, 1, 1, 0.1 },
    {	1, 1,	1, 1,	0, 0, 0, 0.1 },
    {	0, 1,	0, 1,	0, 0, 0, 0.01 },
  },

  lg.newFont( "client/assets/fonts/Montserrat-Bold.ttf", 18 )
)